WP3FontGroup Class Reference

`#include <WP3FontGroup.h>`

Inheritance diagram for WP3FontGroup:

## Public Member Functions

| WP3FontGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3FontGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Attributes

RGBSColor | m_fontColor
librevenge::RVNGString | m_fontName
unsigned short | m_fontSize

## Additional Inherited Members

Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## WP3FontGroup()

WP3FontGroup::WP3FontGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ~WP3FontGroup()

WP3FontGroup::~WP3FontGroup | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP3FontGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP3VariableLengthGroup.

## parse()

void WP3FontGroup::parse | ( | WP3Listener * | listener | ) |

override virtual

Implements WP3Part.

## Member Data Documentation

## m_fontColor

RGBSColor WP3FontGroup::m_fontColor

private

Referenced by _readContents(), parse(), and WP3FontGroup().

## m_fontName

librevenge::RVNGString WP3FontGroup::m_fontName

private

Referenced by _readContents(), parse(), and WP3FontGroup().

## m_fontSize

unsigned short WP3FontGroup::m_fontSize

private

Referenced by _readContents(), parse(), and WP3FontGroup().

The documentation for this class was generated from the following files:

- WP3FontGroup.h
- WP3FontGroup.cpp